Skip to main content
GET
/
countries
/
{id}
Get a country by id
curl --request GET \
  --url https://api.ceibo.me/v1/countries/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": 10,
  "name": "Argentina",
  "iso2": "AR",
  "iso3": "ARG",
  "localName": "República Argentina",
  "continent": "South America",
  "officialVisaPage": "https://www.argentina.gob.ar/interior/migraciones",
  "primaryLanguageId": 1,
  "holidaysWebsiteUrl": "https://www.argentina.gob.ar/feriados",
  "officialWebsiteUrl": "https://www.argentina.gob.ar"
}

Documentation Index

Fetch the complete documentation index at: https://docs.ceibo.me/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key minted at developer.ceibo.me. Send on every request.

Path Parameters

id
integer
required

Response

The country.

id
integer
required
Example:

10

name
string
required
Example:

"Argentina"

iso2
string
required
Required string length: 2
Example:

"AR"

iso3
string | null
Required string length: 3
Example:

"ARG"

localName
string | null
Example:

"República Argentina"

continent
enum<string> | null
Available options:
Africa,
Antarctica,
Asia,
Europe,
North America,
Oceania,
South America,
null
Example:

"South America"

officialVisaPage
string | null
Example:

"https://www.argentina.gob.ar/interior/migraciones"

primaryLanguageId
integer | null
Example:

1

holidaysWebsiteUrl
string | null
Example:

"https://www.argentina.gob.ar/feriados"

officialWebsiteUrl
string | null
Example:

"https://www.argentina.gob.ar"